#
# spec file for package python-zc.lockfile
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zc.lockfile
Version:        1.2.1
Release:        lp150.1.3
Summary:        Basic inter-process locks
License:        ZPL-2.1
Group:          Development/Libraries/Python
Url:            https://pypi.python.org/pypi/zc.lockfile
Source:         https://files.pythonhosted.org/packages/source/z/zc.lockfile/zc.lockfile-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# Testing requirements:
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module zope.testing}
Provides:       python-zc-lockfile = %{version}
Obsoletes:      python-zc-lockfile < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
The zc.lockfile package provides a basic portable implementation of
interprocess locks using lock files. The purpose if not specifically to lock
files, but to simply provide locks with an implementation based on file-locking
primitives. Of course, these locks could be used to mediate access to other
files. For example, the ZODB file storage implementation uses file locks to
mediate access to file-storage database files. The database files and lock file
files are separate files.

%prep
%setup -q -n zc.lockfile-%{version}
rm -rf src/zc.lockfile.egg-info
find -name *~ -delete

%build
%python_build

%install
%python_install
# concatenate both README.txt
cat %{buildroot}%{python_sitelib}/zc/lockfile/README.txt >> README.txt
rm %{buildroot}%{python_sitelib}/zc/lockfile/README.txt
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%defattr(-,root,root)
%doc CHANGES.txt COPYRIGHT.txt LICENSE.txt README.txt
%{python_sitelib}/*

%changelog
* Sat Jun 24 2017 aloisio@gmx.com
- Update to 1.2.1
  * Fixed: unlocking and locking didn’t work when a
    multiprocessing process was running (and presumably other
    conditions).
  1.2.0:
  * Added the ability to include the hostname in the lock file
    content.
  * Code and ReST markup cosmetics. [alecghica]
- Converted to single-spec
* Sat Aug  3 2013 hpj@urpla.net
- Update to 1.1.0 version:
  * Added Trove classifiers and made setup.py zest.releaser friendly.
  * Added Python 3.2, 3.3 and PyPy 1.9 support.
  * Removed Python 2.4 and Python 2.5 support.
- renamed to python-zc.lockfile
- enable testing
- improve doc and packaging
* Mon Jan 14 2013 p.drouand@gmail.com
- Update to 1.0.2 version:
  * Fixed: the fix included in 1.0.1 caused multiple pids to be written
    to the lock file
- Clean the specfile by removing redundant and useless tags
* Wed Nov 10 2010 coolo@novell.com
- fix file list
* Wed Jun  2 2010 hvogel@novell.com
- Initial Package, Version 1.0.0
